using Microsoft.VisualBasic;
using Microsoft.VisualBasic.Compatibility;
using System;
using System.Collections;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Windows.Forms;
using System.Runtime.InteropServices;
namespace Projekt1
{
	static class Module1
	{
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]

		public static extern int GetPDFFormat(byte[] FileName, int page);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// Documentformat (1=Portrait/0=Landscape)
		public static extern int GetPDFPageWidth(byte[] FileName, int page);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// Documentwidth  (Pixel)
		public static extern int GetPDFPageHeight(byte[] FileName, int page);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// Documentheight (Pixel)
		public static extern int GetPDFColourStyle(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// Colourscheme (0=Nothing/1=RGB/2=CMYK/3=Gray/4=Unknown)
		public static extern int GetPDFLayerCount(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// Layercount/Documentlevels
		public static extern int GetPDFPageLayout(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// Pagelayout (0=Nothing/1=SinglePage/2=OneColumn/3=TwoColumnLeft/4=TwoColumnRight)
		public static extern int GetPDFPageMode(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// Pagemode (0=Nothing/1=UseNone/2=UseOutlines/3=UseThumbs/4=Fullscreen)
		public static extern int GetPDFeFonts(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// embedded and referenced fonts   ... with a leading "Emb:" or "Ref:")
		public static extern int GetPDFA(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// PDF/A? (1=Yes/0=No/and the PDF/A-version. Separated by semicolon)
		public static extern int GetPDFE(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// PDF/E? (1=Yes/0=No)
		public static extern int GetPDFX(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// PDF/X? (1=Yes/0=No/and the PDF/X-version. Separated by semicolon)
		public static extern int GetPDFUA(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// PDF/UA? (1=Yes/0=No/and the PDF/UA-version. Separated by semicolon)
		public static extern int GetPDFVT(byte[] FileName);
		[DllImport("PDFlayout.dll", CharSet = CharSet.Ansi, SetLastError = true, ExactSpelling = true)]
		// PDFVT? (1=Yes/0=No/and the PDF/VT-version. Separated by semicolon)
		public static extern int GetFERD(byte[] FileName);
		// ZUGFeRD? (1=Yes/0=No/Conformancelevel/Documenttype/Version. Separated by semicolon)

	}
}
